<?php

require_once("../../includes/bootstrap.php");
$sesion = new sesion(); // inicio la sesion
//---------------
//cache();
//-----------------
$sesion->set('permiso', permisos($_POST['privilegio']));

$academia = bootstrap::initBd($sesion->get('anio'));
?>

<script  type="text/javascript">


    $(document).ready(function() {
        var opc_prints = 'view';


        $("#ob_radio").buttonset().change(function() {
            opc_prints = $(this).val();
            console.log(opc_prints);
        });

        var grilla;
        var lastsel3;
        var datos = new Array();
        var cod_area = "";


        var confgrid = {
            height: 350,
            width: 740,
            datatype: "local",
            data: [],
            multiselect: true,
            hidegrid: false,
            rowNum: 300,
            rowList: [15, 30, 50],
            pgbutton: false,
            pager: null,
            viewrecords: true,
            scrollrows: true,
            caption: 'Generar cuadro de honor',
            toolbar: [true, "top"],
            grouping: true,
            groupingView: {groupField: ["sede"],
                groupCollapse: true,
                groupText: ['<b>{0} - {1} Grupos</b>'],
                groupSummary: [true],
                showSummaryOnHide: false,
            },
            ondblClickRow: function(rowid) {
                //	jQuery("#listado_estudiantes").expandSubGridRow(rowid)
            },
            colNames: [
                'codgrupo',
                'Sede',
                'Jornada',
                'Grado',
                'Grupo',
                'N°. Estudiantes'
            ],
            colModel: [
                {name: 'codigo', index: 'codigo', resizable: false, width: 110, hidden: true, key: true},
                {name: 'sede', index: 'sede', resizable: false, width: 200, summaryType: 'count', summaryTpl: 'Total estudiantes'},
                {name: 'jornada', index: 'jornada', width: 140, searchoptions: {searchhidden: true}},
                {name: 'grado', index: 'grado', resizable: false, width: 160},
                {name: 'grupo', index: 'grupo', resizable: false, width: 70, search: false},
                {name: 'numero', index: 'numero', resizable: false, width: 100, search: false, sorttype: 'integer', formatter: 'integer', summaryType: 'sum'},
            ],
            loadComplete: function() {
                cambiar_iconos('pager_estudiantes')
            },
            shrinkToFit: false,
        }


        $.ajax({
            url: 'mod_reportes/listados/list_estudiantes.php',
            dataType: "json",
            //async:false,
            success: function(rta) {
                if (rta === null)
                    rta = [];
                confgrid.data = rta;
                grilla = jQuery("#listado_estudiantes").jqGrid(confgrid);
                coloca_boton({
                    id: 'boton',
                    elem: 't_listado_estudiantes',
                    buttonicon: 'icon-vermas',
                    title: 'Cuadro honor por secciones',
                    caption: 'Por secciones',
                    onClickButton: function() {
                        var gruposel = (grilla.getGridParam("selarrrow"));
                        if (gruposel != null) {

                            var datos = 'codgru=' + gruposel + '&tipohoja=' + $("[name=ob_tamano]:checked").val() + '&tipoprint=' + opc_prints;
                            if (opc_prints == 'view') {
                                $.fn.colorbox({
                                    href: "mod_reportes/cuadrohonor/print_cuadrohonor_total.php?" + datos,
                                    iframe: true,
                                    height: "600px",
                                    width: "800px"
                                })
                            }else {
                                window.open("mod_reportes/cuadrohonor/print_cuadrohonor_total.php?" + datos, 'Cuadro de honor', "location=1,status=1,scrollbars=1, width=1000,height=720");
                            }
                        }
                        else
                        {
                            jAlert(dtsLang.reportes.selrec, dtsLang.project.empresa);
                        }
                    }
                });
                coloca_boton({
                    id: 'boton_xls',
                    elem: 't_listado_estudiantes',
                    buttonicon: 'icon-vermas',
                    title: 'Cuadro de honor por grupos',
                    caption: 'Por grupos',
                    onClickButton: function() {
                        var gruposel = (grilla.getGridParam("selarrrow"));
                        if (gruposel != null) {

                            var datos = 'codgru=' + gruposel + '&tipohoja=' + $("[name=ob_tamano]:checked").val() + '&tipoprint=' + opc_prints;
                            if (opc_prints == 'view') {
                                $.fn.colorbox({
                                    href: "mod_reportes/cuadrohonor/print_cuadrohonor.php?" + datos,
                                    iframe: true,
                                    height: "600px",
                                    width: "800px"
                                });
                            } else {
                                window.open("mod_reportes/cuadrohonor/print_cuadrohonor.php?" + datos, 'Cuadro de honor', "location=1,status=1,scrollbars=1, width=800,height=600");
                            }
                        }
                        else {
                            jAlert(dtsLang.reportes.selrec, dtsLang.project.empresa);
                        }
                    }
                });

                $("#help_listado_estudiantes").append('Agrupar por: <select id="chngroup" > <option value="sede">Sedes</option> <option value="jornada">Jornadas</option> <option value="grado">Grados</option> </select>');

                jQuery("#listado_estudiantes").jqGrid('setGroupHeaders', {
                    useColSpanStyle: true,
                    groupHeaders: [
                        {startColumnName: 'numedocumento_est', numberOfColumns: 6, titleText: '<em>Información personal</em>'},
                        {startColumnName: 'estado_est', numberOfColumns: 4, titleText: '<em>' + dtsLang.estudiantes.info_academica + '</em>'}
                    ]
                });


                $("#chngroup").change(function() {
                    var vl = $(this).val();
                    if (vl) {
                        if (vl == "clear") {
                            grilla.jqGrid('groupingRemove', true);
                        }
                        else
                        {
                            grilla.jqGrid('groupingGroupBy', vl);
                        }
                    }
                });
            }
        })
    });
</script>

<form id="ob_chequeos">
    <table>
        <tr>
            <td class="ui-widget-header">Tamaño de la hoja</td>
            <td class="ui-widget-header"></td>
        </tr>
        <tr>
            <td>
                <input name="ob_tamano" type="radio" id="ob_tamano1"  value="0" checked="checked"/>
                <label for="ob_tamano1">Carta</label>
                <input type="radio" name="ob_tamano" id="ob_tamano2" value="1"/>
                <label for="ob_tamano2">Oficio</label>
            </td>

            <td>
                <div id="ob_radio">
                    <input name="opc_prints" type="radio" id="opc_prints1"  value="print"/>
                    <label for="opc_prints1">Imprimir</label>
                    <input type="radio" name="opc_prints" id="opc_prints2" value="view" checked="" />
                    <label for="opc_prints2">Solo ver</label>

                </div>
            </td>

        </tr>
    </table>
</form>

<table id="listado_estudiantes"></table>
<div id="pager_listados"></div>


<?php

$academia->cerrar();
?>
